Subject: Re: [MMUSIC] Comments MSRP Data Channel Usage

From: Christer Holmberg <[email-masked]>
Date: Sun, 12 Apr 2020 19:40:14 +0000

Hi,

Now, when the T140 data channel draft is more or less done, I took a closer look at the MSRP data channel pull request.

I think we shall remove the “end-to-end configuration” text. There are always going to be two data channel endpoints, and the procedures in Section 4 and 5 apply to those – no matter if one endpoint is a gateway or not (which the other endpoint may not be aware of).

I’d also re-name section 6 to “Gateway Considerations”.

Regards,

Christer

From: mmusic <[email-masked]> on behalf of Christer Holmberg <christer.holmberg=[email-masked]>
Date: Friday, 7 February 2020 at 12.22
To: Jose <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [MMUSIC] Comments MSRP Data Channel Usage

Hi Jose,

After a first look, I think it looks ok. There may be some minor editorial nits, but we can deal with them as part of the WGLC.

You may want to take a look at the TSVART comments that were given for the T.140-usage draft (subject: ‘Tsvart last call review of draft-ietf-mmusic-t140-usage-data-channel-11’), and see if any of those also apply to the MSRP-usage. For example, do we need to say something about data channel failure? What about buffering?

Regards,

Christer

From: Jose <[email-masked]>
Date: Friday, 7 February 2020 at 11.28
To: Christer Holmberg <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [MMUSIC] Comments MSRP Data Channel Usage

Of course, same repo, direct link to the PR:

https://github.com/josemrecio/draft-msrp-data-channel/pull/9<https://protect2.fireeye.com/v1/url?k=61791929-3df335b1-617959b2-0cc47ad93eae-a2a58d0ba35b539a&q=1&e=ff534a10-72fc-4904-8980-649d16175c86&u=https%3A%2F%2Fgithub.com%2Fjosemrecio%2Fdraft-msrp-data-channel%2Fpull%2F9>

Direct link to the branch with pending PR:

https://github.com/josemrecio/draft-msrp-data-channel/tree/section-reorg<https://protect2.fireeye.com/v1/url?k=e00a6908-bc804590-e00a2993-0cc47ad93eae-a53331daf40f722b&q=1&e=ff534a10-72fc-4904-8980-649d16175c86&u=https%3A%2F%2Fgithub.com%2Fjosemrecio%2Fdraft-msrp-data-channel%2Ftree%2Fsection-reorg>

On 2/2/20 10:17 pm, Christer Holmberg wrote:
Do you have a link to the PR?

Regards,

Christer

From: mmusic <[email-masked]><mailto:[email-masked]> on behalf of Jose M Recio <[email-masked]><mailto:[email-masked]>
Date: Sunday, 2 February 2020 at 10.53
To: "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>
Subject: Re: [MMUSIC] Comments MSRP Data Channel Usage

PR is ready for reviewer's consideration

On 09/01/20 18:54, Jose wrote:

I agree following an already tried structure would help. Working on it, expect a PR shortly.

JM

On 13/12/19 3:51 am, Christer Holmberg wrote:
Hi,

Based on the editorial work that has been done on the T.140 data channel usage draft based on the reviews, I have some suggestions for aligning the MSRP data channel usage draft.

My suggestion would be to use a similar structure:

3. WebRTC Data Channel Considerations
4. SDP Considerations​
5. MSRP Considerations​
6. Gateway Considerations

Much of the text already exist in the current version of the draft, you just need to move it around.

Regards,

Christer

_______________________________________________

mmusic mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/mmusic

_______________________________________________

mmusic mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/mmusic